# Delete

Launch stage: GA

`DELETE /api/2.0/accounts/{account_id}/vpc-endpoints/{vpc_endpoint_id}`

Deletes a Databricks VPC endpoint configuration. You cannot delete a VPC endpoint configuration that is associated with any workspace.

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `vpc_endpoint_id` (string, optional)
- `account_id` (string, optional)

## Returns

Returns the VpcEndpoint object.

## Response

```json
{
  "vpc_endpoint_id": "string",
  "account_id": "string",
  "vpc_endpoint_name": "string",
  "aws_vpc_endpoint_id": "string",
  "aws_endpoint_service_id": "string",
  "use_case": "string",
  "region": "string",
  "aws_account_id": "string",
  "state": "string",
  "gcp_vpc_endpoint_info": {
    "psc_connection_id": "string",
    "project_id": "string",
    "psc_endpoint_name": "string",
    "endpoint_region": "string",
    "service_attachment_id": "string"
  }
}
```

